import { OnInit, AfterViewChecked, EventEmitter } from '@angular/core';
import { ColumnInfo, ColumnFormat } from './column-info';
import { NgForm } from '@angular/forms';
export declare class AtGrid implements OnInit, AfterViewChecked {
    /**Данные*/
    data: Array<Object>;
    /**Колонки*/
    metaData: ColumnInfo[];
    /**Количество строк на странице*/
    quRowOnPage: number;
    /**Статический режим*/
    staticMode: boolean;
    /**Текущая страница*/
    currentPage: number;
    /**Текущая страница*/
    imageSize: number;
    /**Выделене какой-то позиции*/
    onSelect: EventEmitter<Object>;
    /**Форма*/
    form: NgForm;
    /**Номер строки с наведенной мышкой*/
    rowNumMouseOver: number;
    /**Выделене какой-то позиции*/
    onLoad: EventEmitter<number>;
    /**Энум в компонет*/
    columnFormat: typeof ColumnFormat;
    /**Инит компонента*/
    ngOnInit(): void;
    /**После загрузки вьюхи*/
    ngAfterViewChecked(): void;
    /**Выделить строку*/
    selectRow(item: Object): void;
    /**Первая страница*/
    firstPage(): void;
    /**Первая страница*/
    lastPage(): void;
    /**Первая страница*/
    nextPage(): void;
    /**Первая страница*/
    prevPage(): void;
    /**Количество страниц*/
    getQuPage(): number;
    /**Номер страницы от 1*/
    getHumanCurrentPage(): number;
    applyFilter(): Array<Object>;
    /**Получить строки для страницы*/
    getRowForPage(): Array<Object>;
    /**Фильтр изменен*/
    filterChanged(filter: any): void;
    mouseOver(rowNum: number): void;
}
