import { FilterInfo } from './filter-info';
export declare class ColumnInfo {
    name: string;
    comment: string;
    allowSort: boolean;
    filterInfo: FilterInfo;
    columnFormat: ColumnFormat;
    constructor(name: string, comment: string, allowSort?: boolean, filterInfo?: FilterInfo, columnFormat?: ColumnFormat);
}
export declare enum ColumnFormat {
    Date = 0,
    Number = 1,
    Currency = 2,
    Default = 3,
    Boolean = 4,
    Picture = 5,
}
